Author: mladen.turk(a)jboss.com
Date: 2008-01-13 12:17:21 -0500 (Sun, 13 Jan 2008)
New Revision: 1275
Modified:
trunk/build/unix/build.sh
trunk/build/unix/buildbin.jboss-native.windows.sh
Log:
Run buildtest only if -test is specified on the command line
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2008-01-13 10:32:38 UTC (rev 1274)
+++ trunk/build/unix/build.sh 2008-01-13 17:17:21 UTC (rev 1275)
@@ -62,6 +62,7 @@
has_version=false
has_package=false
has_static=false
+run_test=false
while [ "x" != "x$1" ]
do
@@ -75,6 +76,9 @@
-static)
has_static=true
;;
+ -test)
+ run_test=true
+ ;;
[0-9]*)
build_version=`echo $1`
has_version=true
@@ -540,7 +544,7 @@
if $ssl_static ; then
nmake -f ms/nt.mak install
else
- nmake -f ms/nt.mak install
+ nmake -f ms/ntdll.mak install
fi
else
make depend
@@ -767,7 +771,7 @@
if $has_zlib; then
buildzlib srclib/zlib-${zlib_version} false || return 1
if $has_static ; then
- builzlib srclib/zlib-${zlib_version} true || return 1
+ buildzlib srclib/zlib-${zlib_version} true || return 1
fi
fi
# apr-util has a --with-openssl=DIR so we must be build openssl before apu.
@@ -775,7 +779,7 @@
if [ $? -eq 0 ]; then
buildopenssl srclib/openssl-${ssl_version} false || return 1
if $has_static ; then
- buildopenssl srclib/openssl-${ssl_version} false || return 1
+ buildopenssl srclib/openssl-${ssl_version} true || return 1
fi
fi
@@ -983,4 +987,6 @@
override ${build_top}/util/buildroot ${package_output_dir}
# run a test
-override ${build_top}/buildtest.${PACKAGE}.sh ${package_output_dir}
+if $run_test; then
+ override ${build_top}/buildtest.${PACKAGE}.sh ${package_output_dir}
+fi
Modified: trunk/build/unix/buildbin.jboss-native.windows.sh
===================================================================
--- trunk/build/unix/buildbin.jboss-native.windows.sh 2008-01-13 10:32:38 UTC (rev 1274)
+++ trunk/build/unix/buildbin.jboss-native.windows.sh 2008-01-13 17:17:21 UTC (rev 1275)
@@ -30,6 +30,7 @@
echo "Prefix : $2"
echo "Output : $3"
echo "OpenSSL : $4"
+echo "Static : $5"
echo ""
@@ -43,7 +44,12 @@
prefix_loc=$2
output_loc=$3
has_openssl=$4
+has_static=$5
+if $has_static; then
+ common_loc=${common_loc}-static
+fi
+
win_common_loc=`cygpath -w -a ${common_loc}`
win_prefix_loc=`cygpath -w -a ${prefix_loc}`
@@ -53,6 +59,10 @@
add_conf="${add_conf} WITH_OPENSSL=${win_common_loc}"
fi
+if $has_static; then
+ add_conf="${add_conf} APR_DECLARE_STATIC=true"
+fi
+
mkdir -p ${output_loc}/bin/native
native_sources=srclib/`ls srclib | grep tomcat-native`
src_dir=`cygpath -w -a ${native_sources}`
Show replies by date